# Class IndexedLineArray

java.lang.Object
javax.media.j3d.SceneGraphObject
javax.media.j3d.NodeComponent
javax.media.j3d.Geometry
javax.media.j3d.GeometryArray
javax.media.j3d.IndexedGeometryArray
javax.media.j3d.IndexedLineArray

public class IndexedLineArray extends IndexedGeometryArray
The IndexedLineArray object draws the array of vertices as individual line segments. Each pair of vertices defines a line to be drawn.

## Field Summary

### Fields inherited from class IndexedGeometryArray

`ALLOW_COLOR_INDEX_READ, ALLOW_COLOR_INDEX_WRITE, ALLOW_COORDINATE_INDEX_READ, ALLOW_COORDINATE_INDEX_WRITE, ALLOW_NORMAL_INDEX_READ, ALLOW_NORMAL_INDEX_WRITE, ALLOW_TEXCOORD_INDEX_READ, ALLOW_TEXCOORD_INDEX_WRITE, ALLOW_VERTEX_ATTR_INDEX_READ, ALLOW_VERTEX_ATTR_INDEX_WRITE`

### Fields inherited from class GeometryArray

`ALLOW_COLOR_READ, ALLOW_COLOR_WRITE, ALLOW_COORDINATE_READ, ALLOW_COORDINATE_WRITE, ALLOW_COUNT_READ, ALLOW_COUNT_WRITE, ALLOW_FORMAT_READ, ALLOW_NORMAL_READ, ALLOW_NORMAL_WRITE, ALLOW_REF_DATA_READ, ALLOW_REF_DATA_WRITE, ALLOW_TEXCOORD_READ, ALLOW_TEXCOORD_WRITE, ALLOW_VERTEX_ATTR_READ, ALLOW_VERTEX_ATTR_WRITE, BY_REFERENCE, BY_REFERENCE_INDICES, COLOR_3, COLOR_4, COORDINATES, INTERLEAVED, NORMALS, TEXTURE_COORDINATE_2, TEXTURE_COORDINATE_3, TEXTURE_COORDINATE_4, USE_COORD_INDEX_ONLY, USE_NIO_BUFFER, VERTEX_ATTRIBUTES`

### Fields inherited from class Geometry

`ALLOW_INTERSECT`

## Constructor Summary

Constructors
Constructor
Description
`IndexedLineArray(int vertexCount, int vertexFormat, int indexCount)`
Constructs an empty IndexedLineArray object using the specified parameters.
`IndexedLineArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int indexCount)`
Constructs an empty IndexedLineArray object using the specified parameters.
`IndexedLineArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int vertexAttrCount, int[] vertexAttrSizes, int indexCount)`
Constructs an empty IndexedLineArray object using the specified parameters.

## Method Summary

Modifier and Type
Method
Description
`NodeComponent`
`cloneNodeComponent()`
Deprecated.
replaced with cloneNodeComponent(boolean forceDuplicate)

### Methods inherited from class IndexedGeometryArray

`getColorIndex, getColorIndices, getCoordinateIndex, getCoordinateIndices, getCoordIndicesRef, getIndexCount, getInitialIndexIndex, getNormalIndex, getNormalIndices, getTextureCoordinateIndex, getTextureCoordinateIndex, getTextureCoordinateIndices, getTextureCoordinateIndices, getValidIndexCount, getVertexAttrIndex, getVertexAttrIndices, setColorIndex, setColorIndices, setCoordinateIndex, setCoordinateIndices, setCoordIndicesRef, setInitialColorIndex, setInitialCoordIndex, setInitialIndexIndex, setInitialNormalIndex, setInitialTexCoordIndex, setInitialVertexAttrIndex, setInitialVertexIndex, setNormalIndex, setNormalIndices, setTextureCoordinateIndex, setTextureCoordinateIndex, setTextureCoordinateIndices, setTextureCoordinateIndices, setValidIndexCount, setValidVertexCount, setVertexAttrIndex, setVertexAttrIndices`

### Methods inherited from class GeometryArray

`getColor, getColor, getColor, getColor, getColor, getColor, getColorRef3b, getColorRef3f, getColorRef4b, getColorRef4f, getColorRefBuffer, getColorRefByte, getColorRefFloat, getColors, getColors, getColors, getColors, getColors, getColors, getCoordinate, getCoordinate, getCoordinate, getCoordinate, getCoordinates, getCoordinates, getCoordinates, getCoordinates, getCoordRef3d, getCoordRef3f, getCoordRefBuffer, getCoordRefDouble, getCoordRefFloat, getInitialColorIndex, getInitialCoordIndex, getInitialNormalIndex, getInitialTexCoordIndex, getInitialVertexAttrIndex, getInitialVertexIndex, getInterleavedVertexBuffer, getInterleavedVertices, getNormal, getNormal, getNormalRef3f, getNormalRefBuffer, getNormalRefFloat, getNormals, getNormals, getTexCoordRef2f, getTexCoordRef3f, getTexCoordRefBuffer, getTexCoordRefFloat, getTexCoordSetCount, getTexCoordSetMap, getTexCoordSetMapLength, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getValidVertexCount, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttrCount, getVertexAttrRefBuffer, getVertexAttrRefFloat, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrSizes, getVertexCount, getVertexFormat, setColor, setColor, setColor, setColor, setColor, setColor, setColorRef3b, setColorRef3f, setColorRef4b, setColorRef4f, setColorRefBuffer, setColorRefByte, setColorRefFloat, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setCoordinate, setCoordinate, setCoordinate, setCoordinate, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordRef3d, setCoordRef3f, setCoordRefBuffer, setCoordRefDouble, setCoordRefFloat, setInterleavedVertexBuffer, setInterleavedVertices, setNormal, setNormal, setNormalRef3f, setNormalRefBuffer, setNormalRefFloat, setNormals, setNormals, setNormals, setNormals, setTexCoordRef2f, setTexCoordRef3f, setTexCoordRefBuffer, setTexCoordRefFloat, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttrRefBuffer, setVertexAttrRefFloat, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, updateData`

### Methods inherited from class NodeComponent

`cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

### Methods inherited from class SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexedLineArray

public IndexedLineArray(int vertexCount, int vertexFormat, int indexCount)
Constructs an empty IndexedLineArray object using the specified parameters.

Parameters:
  `vertexCount` - see `GeometryArray(int,int)` for a description of this parameter.
  `vertexFormat` - see `GeometryArray(int,int)` for a description of this parameter.
  `indexCount` - see `IndexedGeometryArray(int,int,int)` for a description of this parameter.
Throws:
  `IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or indexCount is not a multiple of 2 ;
  See `GeometryArray(int,int)` for more exceptions that can be thrown

### IndexedLineArray

public IndexedLineArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int indexCount)
Constructs an empty IndexedLineArray object using the specified parameters.

Parameters:
  `vertexCount` - see `GeometryArray(int,int,int,int[])` for a description of this parameter.
  `vertexFormat` - see `GeometryArray(int,int,int,int[])` for a description of this parameter.
  `texCoordSetCount` - see `GeometryArray(int,int,int,int[])` for a description of this parameter.
  `texCoordSetMap` - see `GeometryArray(int,int,int,int[])` for a description of this parameter.
  `indexCount` - see `IndexedGeometryArray(int,int,int,int[],int)` for a description of this parameter.
Throws:
  `IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or indexCount is not a multiple of 2 ;
  See `GeometryArray(int,int,int,int[])` for more exceptions that can be thrown
Since:
  Java 3D 1.2

### IndexedLineArray

public IndexedLineArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int vertexAttrCount, int[] vertexAttrSizes, int indexCount)
Constructs an empty IndexedLineArray object using the specified parameters.

Parameters:
  `vertexCount` - see `GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
  `vertexFormat` - see `GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
  `texCoordSetMap` - see `GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
  `vertexAttrCount` - see `GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
  `vertexAttrSizes` - see `GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
  `indexCount` - see `IndexedGeometryArray(int,int,int,int[],int,int[],int)` for a description of this parameter.
Throws:
  `IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or indexCount is not a multiple of 2 ;
  See `GeometryArray(int,int,int,int[],int,int[])` for more exceptions that can be thrown
Since:
  Java 3D 1.4

## Method Details

### cloneNodeComponent

public NodeComponent cloneNodeComponent()
Deprecated.
replaced with cloneNodeComponent(boolean forceDuplicate)

Overrides:
  `cloneNodeComponent` in class `NodeComponent`